# YandexRssFeedFormat Class Reference
[Feed's parsers]

Inheritance diagram for YandexRssFeedFormat:
[legend]

List of all members.

## Public Member Functions

| getChannelWorker ()
| getItemWorker ()
| isAcceptable (SimpleXMLElement $xmlFeed)

## Static Public Member Functions

static | me ()

## Public Attributes

const | YANDEX_NAMESPACE_URI = 'http://news.yandex.ru'
const | YANDEX_NAMESPACE_PREFIX = 'yandex'

## Detailed Description

See also:
  http://partner.news.yandex.ru/tech.pdf

Definition at line 16 of file YandexRssFeedFormat.class.php.

## Member Function Documentation

YandexRssFeedFormat::getChannelWorker | ( |  | ) |

Returns:
  RssChannelWorker

Reimplemented from FeedFormat.

Definition at line 32 of file YandexRssFeedFormat.class.php.

References me().

Here is the call graph for this function:

YandexRssFeedFormat::getItemWorker | ( |  | ) |

Returns:
  YandexRssItemWorker

Reimplemented from FeedFormat.

Definition at line 40 of file YandexRssFeedFormat.class.php.

References me().

Here is the call graph for this function:

YandexRssFeedFormat::isAcceptable | ( | SimpleXMLElement $ | xmlFeed | ) |

Reimplemented from FeedFormat.

Definition at line 45 of file YandexRssFeedFormat.class.php.

References RssFeedFormat::VERSION.

static YandexRssFeedFormat::me | ( |  | ) | `[static]`

Returns:
  YandexRssFeedFormat

Definition at line 24 of file YandexRssFeedFormat.class.php.

References Singleton::getInstance().

Referenced by FeedReader::__construct(), getChannelWorker(), and getItemWorker().

Here is the call graph for this function:

## Member Data Documentation

const YandexRssFeedFormat::YANDEX_NAMESPACE_PREFIX = 'yandex'

Definition at line 19 of file YandexRssFeedFormat.class.php.

Referenced by YandexRssItemWorker::makeItems().

const YandexRssFeedFormat::YANDEX_NAMESPACE_URI = 'http://news.yandex.ru'

Definition at line 18 of file YandexRssFeedFormat.class.php.

Referenced by YandexRssItemWorker::makeItems().

The documentation for this class was generated from the following file:

- main/Markup/Feed/YandexRssFeedFormat.class.php